OSX(1)

NOM
osx - Un convertisseur de documents SGML en documents XML. (Langage de structuration hypermédia/événementiel)

SYNOPSIS

osx [-CeghnRvx] [-anom] [-Aarchitecture] [-bencodage] [-cfichier_catalogue] [-drépertoire] [-Drépertoire] [-inom] [-ffichier] [-lfichier_dtd] [-wtype_avertissement] [-xoption_sortie_xml...] [sysid...]

DESCRIPTION

osx convertit des documents SGML en documents XML. osx analyse et valide le document SGML contenu dans sysid et écrit un document XML équivalent sur la sortie standard. osx avertira des constructions SGML qui n'ont pas leurs équivalents XML.

OPTIONS

Partie d'un système SGML conforme à la norme internationale ISO 8879 -- Standard Generalized Markup Language (Langage de balisage généralisé normalisé) Un système SGML étendu conforme à l'annexe A de la norme internationale ISO/IEC 10744 -- Hypermedia/Time-based Structuring Language (Langage de structuration hypermédia/événementiel)

Les options suivantes sont disponibles :

-anom, --activate=nom
    Active le type de document ou de lien nom.

-Anom, --architecture=nom
    Analyse par rapport à l'architecture nom.

-bencodage, --encoding=encodage
    Utilise le BCTF encodage pour produire la sortie. Par défaut osx utilise UTF-8.

-csysid, --catalog=sysid
    Met en correspondance les identificateurs publics et les noms d'entités avec les identificateurs système en utilisant le fichier d'entrées catalogue dont l'identificateur système est sysid.

-C, --catalogs
    Elle a le même effet qu'avec onsgmls(1).

-drépertoire, --entity_output_location=répertoire
    Met les fichiers de sortie dans répertoire.

-Drépertoire, --directory=répertoire
    Recherche dans répertoire les fichiers spécifiés dans les identificateurs système. Elle a le même effet qu'avec onsgmls(1).

-e, --open-entities
    Décrit les entités ouvertes dans les messages d'erreur.

-Eerreurs_max, --max-errors=erreurs_max
    Quitte après erreurs_max erreurs.

-ffichier, --error-file=fichier
    Redirige les erreurs dans fichier. C'est pratique surtout avec les shells qui ne gèrent pas la redirection de la sortie d'erreur standard « stderr ».

-g, --open-elements
    Décrit les éléments ouverts dans les messages d'erreur.

-h, --help
    Affiche un texte d'aide et quitte.

-inom, --include=nom
    Elle a le même effet qu'avec onsgmls(1).

-lfichier_dtd, --dtd_location=fichier_dtd
    Spécifie que le fichier XML résultant doit être conforme à la DTD décrite dans fichier-dtd.

-n, --error-numbers
    Affiche les numéros d'erreur dans les messages d'erreur.

--references
    Affiche les références dans les messages d'erreur.

-R, --restricted
    Elle a le même effet qu'avec onsgmls(1).

-v, --version
    Affiche le numéro de version et quitte.

-wtype_avertissement, --warning=type_avertissement
    Contrôle les avertissements et les erreurs en fonction de type_avertissement. Elle a le même effet qu'avec onsgmls(1).

-xoption_sortie_xml, --xml-output-option=option_sortie_xml
    Contrôle la sortie XML selon la valeur de option_sortie_xml comme suit :

    no-nl-in-tag N'utilise pas de nouvelles lignes dans les balises ouvrantes. Habituellement osx utilise des nouvelles lignes dans les balises ouvrantes et réduit ainsi la probabilité de lignes excessivement longues.

    id Produit en sortie les déclarations d'attribut pour les attributs ID.

    notation Produit en sortie les déclarations pour les notations.

    ndata Produit en sortie les déclarations pour les entités de données externes. XML requiert qu'elles soient « NDATA ». osx avertira de la présence d'entités données externes « CDATA » et « SDATA » et les produira en tant qu'entités « NDATA ».

    cdata Utilise les sections XML « CDATA » pour les sections marquées « CDATA » et pour les éléments avec un contenu déclaré de « CDATA ».

    comment Produit en sortie les déclarations de commentaires. Les déclarations de commentaires dans la DTD ne sont pas produites en sortie.

    lower Préférer les minuscules. Les noms qui pouvaient être soumis à une substitution de majuscules par SGML seront ramenés à des minuscules. Ceci n'inclut pas les noms réservés ; XML requiert que ceux-ci soient en majuscules.

    pi-escape Échappe &<> dans le contenu des instructions de traitement en utilisant les entités « amp », « lt » et « gt ». Cela permet aux instructions de traitement de contenir la chaine >?, mais nécessite que les applications prennent en charge les échappements.

    empty Utilise la syntaxe <e/> pour les types d'éléments « e » déclarés comme « EMPTY ».

    attlist Produit en sortie une déclaration « ATTLIST » pour chaque élément spécifiant le type de tous les attributs. La valeur par défaut sera toujours « #IMPLIED ».

    report-input-sources Produit en sortie une instruction de traitement qui indique qu'un fichier source d'entrée, autre que le fichier principal, est ouvert ou fermé dans l'instance. N'indique aucune modification des sources d'entrée dans la DTD.

    report-entities Produit en sortie une instruction de traitement qui indique qu'un appel d'une entité externe a été résolu dans l'instance. N'indique aucune résolution d'entité dans la DTD.

    no-expand-external Préserve les entités externes, crée un fichier pilote de déclaration nommé "extEntities.dtf", et inclus ce fichier dans le sous-ensemble interne de l'instance.

    no-expand-internal Préserve les entités internes, crée un fichier pilote de déclaration nommé "intEntities.dtf", et inclut ce fichier dans le sous-ensemble interne de l'instance.

    no-external-decl N'inclut pas le fichier pilote de déclaration des entités externes dans le sous-ensemble interne de l'instance.

    no-internal-decl N'inclut pas le fichier pilote de déclaration des entités internes dans le sous-ensemble interne de l'instance.

    no-output-outside-outdir Lors de la préservation des entités externes, ne pas écrire les fichiers de sortie en dehors du répertoire de sortie spécifié (« . » par défaut). En d'autres mots, si un identifiant système d'entités externes inclut suffisamment d'instances de « .. » qui feraient que osx écrirait un fichier en dehors (au dessus) du répertoire de sortie, quitter (par défaut, osx affichera un avertissement mais écrira le fichier et continuera).

    no-overwrite Lors de la préservation des entités internes ou externes, plusieurs fichiers de sortie seront écrits. Si cette option est fournie, ne pas écraser les fichiers existants. À la place, essayer d'ajouter un nombre à la fin du fichier original pour créer un nom de fichier unique. Si trop (100) de tels fichiers existent déjà, quitter en échouant.

    preserve-case Préserver la casse, telle qu'elle est spécifiée dans la DTD, pour les noms d'éléments, les noms d'attributs, les valeurs d'attribut qui sont des listes de jetons.

    sdata-as-pis Lors de la traduction des entités SDATA (soit en les développant, soit en leur fournissant une définition dans le sous-ensemble interne de sortie), les exprime sous forme d'instructions de traitement plutôt que sous forme d'entités internes générales.

    Plusieurs options -x sont autorisées.

VOIR AUSSI
onsgmls(1), ospam(1), onsgmlnorm(1), ospen(1)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> et Jean-Marc Destabeaux <jmdestabeaux AT free DOT fr> le 16 juin 2004 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 osx ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.